LP4 require version Thim-core: 2.0.0-beta-0